;;===============================================================================================================
;;===============================================================================================================
;; HERO FUNCTIONS
;;===============================================================================================================
;;===============================================================================================================
.globl player_erase
.globl player_draw
.globl player_update
.globl cpct_getScreenPtr_asm
.globl get_screen_pointer
.globl hero_draw_score
.globl reiniciar_puntuacion

;;----------------------------------------------------
;; Definition of DATA structures and constants
;;----------------------------------------------------

.macro definePlayer instanceName, px, py, wi, he, sprite, status, life, status_ant
   ;; Struct data
   instanceName:
      ;instanceName'_status: .db st     ;; Status of the Enemy
      instanceName'_x_pos:  .db px     ;; X location  (bytes)
      instanceName'_y_pos:  .db py     ;; Y location  (pixels)
      instanceName'_width:  .db wi     ;; Width of Sprite (bytes)
      instanceName'_height: .db he     ;; Height of Sprite (bytes)
      instanceName'_sprite:  .dw sprite  ;; sprite
      instanceName'_status:  .db status  ;; 1 = mirando a la izquierda, 2= mirando a la derecha
      instanceName'_life:  .dw life 
      instanceName'_status_ant:  .dw status_ant 
.endm


player_x_pos_off  =  0 ;; X offset
player_y_pos_off =  1 ;; Y offset
player_width_off = 2 ;; Width offset
player_height_off = 3 ;; Height offset
player_sprite_off = 4 ;; Sprite offset
player_status_off = 6
player_life_off = 7
player_status_ant_off = 8
