;;===============================================================================================================
;;===============================================================================================================
;; BALA FUNCTIONS
;;===============================================================================================================
;;===============================================================================================================
.globl bala_erase
.globl bala_draw
.globl bala_update
.globl bala_activar
.globl bala_comparar_moviendose

;;----------------------------------------------------
;; Definition of DATA structures and constants
;;----------------------------------------------------

.macro defineBala instanceName, px, py, status, sentido, redraw_content, posxant, posyant, posx2ant, posy2ant, velocidad, contador_velocidad, cooldown_activar
   ;; Struct data
   instanceName:
      instanceName'_x_pos:  .db px                          ;; X location  (bytes)
      instanceName'_y_pos:  .db py                          ;; Y location  (pixels)
      instanceName'_status:  .db status                  ;; 0 inactivo 1 activo 
      instanceName'_sentido:  .db sentido                   ;; 1 = va a izquierda, 2= va a derecha
      instanceName'_redraw_content:  .db redraw_content     ;; 2 = no ha pintado ni una vez, 1 = 1, 0 = no pintar
      instanceName'_posxant:  .db posxant                   ;; X previous location
      instanceName'_posyant:  .db posxant                   ;; Y previous location
      instanceName'_posx2ant:  .db posx2ant                 ;; X previous previous location
      instanceName'_posy2ant:  .db posx2ant                 ;; Y previous previous location
      instanceName'_velocidad:  .db velocidad  
      instanceName'_contador_velocidad:  .db contador_velocidad  
      instanceName'_cooldown_activar:  .db cooldown_activar 
.endm


   bala_x_pos_off             = 0 ;; X offset
   bala_y_pos_off             = 1 ;; Y offset
   bala_status_off            = 2 ;; Status activo o no
   bala_sentido_off           = 3 ;; Sentido del disparo
   bala_redraw_content_off    = 4 ;; Veces que redibujar
   bala_posxant_off           = 5 ;; Posicion anterior X
   bala_posyant_off           = 6 ;; Posicion anterior y
   bala_posx2ant_off          = 7 ;; Posicion anterior anterior X
   bala_posy2ant_off          = 8 ;; Posicion anterior anterior y
   bala_velocidad_off         = 9 ;;Velocidad de la bala
   bala_contador_velocidad_off = 10
   bala_cooldown_activar_off = 11
