.area _DATA
.area _CODE

.include "bala.h.s"
.include "enemy.h.s"
.include "cpctelera.h.s"
.include "hero.h.s"

.globl _song_ingame
.globl cpct_akp_musicPlay_asm
.globl cpct_akp_musicInit_asm
.globl cpct_setInterruptHandler_asm
.globl cpct_akp_stop_asm

.globl CheckUserInputRestart
.globl Draw_death
.globl drawMaxScore
.globl _sprite_splash_titulo
.globl _sprite_palette
.globl get_player_score_rondas
.globl gestor_sprites_enemy
.globl put_mute

pvideomem      = 0xC000  ;; First byte of video memory
pbackbuffer    = 0x8000  ;; First byte of the hardware backbuffer

definePlayer player_1, 35, 80, 8, 32, _sprite_Player_Base, 1, 3, 1

hero_getPtrHL::
	ld hl, #player_1	;;Mete en hl el puntero a hero_x asi luego poder recorrerlo 		
ret 

hero_getPtrIX::
	ld ix, #player_1	;;Mete en hl el puntero a hero_x asi luego poder recorrerlo 		
ret 

total_enemies:: .db 4
total_enemies_cont:: .db 4


defineEnemy enemy_1, 0, 30, 8, 32, _sprite_Enemy_Base, 1, 8, 0, 5, 0, 30, 0, 30, 2, 0, 0, 0, 30, 0, 0, 0, 0, 1, 1, 0, 1, 1
defineEnemy enemy_2, 72, 138, 8, 32, _sprite_Enemy_Base, 1, 8, 0, 5, 72, 138, 72, 138, 2, 0, 0, 72, 138, 0, 0, 0, 0, 1, 1, 0, 1, 2
defineEnemy enemy_3, 0, 138, 8, 32, _sprite_Enemy_Base, 1, 8, 0, 5, 0, 138, 0, 138, 2, 0, 0, 0, 138, 0, 0, 0, 0, 1, 1, 0, 1, 3
defineEnemy enemy_4, 72, 30, 8, 32, _sprite_Enemy_Base, 1, 8, 0, 5, 72, 30, 72, 30, 2, 0, 0, 72, 30, 0, 0, 0, 0, 1, 1, 0, 1, 4

total_balas:: .db 4
total_balas_cont:: .db 4

defineBala bala_1, 0, 0, 0, 0, 0, 2, 2, 2, 2, 3, 3, 5
defineBala bala_2, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 5
defineBala bala_3, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 1, 5
defineBala bala_4, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 5

bala_getPtrIX:
    ld ix, #bala_1    ;;Mete en hl el puntero a hero_x asi luego poder recorrerlo         
ret 

enemy_getPtrIX::
	ld ix, #enemy_1		
ret

gestor_rondas:

    call get_player_score_rondas
    
    ;Enemigos
    
    cp #0
    jp nz, no_score_0
        call enemy_getPtrIX
        ld enemy_activo_off(ix), #1
    no_score_0:
    
    cp #2
    jp nz, no_score_2
        ld ix, #enemy_2	
        ld enemy_activo_off(ix), #1
    
    no_score_2:
    
    cp #30
    jp nz, no_score_30
        ld ix, #enemy_3
        ld enemy_activo_off(ix), #1
    no_score_30:
    
    cp #50
    jp nz, no_score_50
        ld ix, #enemy_4
        ld enemy_activo_off(ix), #1
    no_score_50:
    
    
    ;Balas
    
    push af
    cp #10
    jp m, no_score_10
        
        ld ix, #bala_1
        ld a, bala_cooldown_activar_off(ix)
        dec a
        jp	z, restart_cooldown_bala_1
        
            ld bala_cooldown_activar_off(ix), a
            jp no_score_10
                
        restart_cooldown_bala_1:
    
            call bala_activar
            ld bala_cooldown_activar_off(ix), #255

    no_score_10:
    pop af
    
    
    push af
    cp #20
    jp m, no_score_20
        
        ld ix, #bala_2
        ld a, bala_cooldown_activar_off(ix)
        dec a
        jp	z, restart_cooldown_bala_2
        
            ld bala_cooldown_activar_off(ix), a
            jp no_score_20
                
        restart_cooldown_bala_2:
    
            call bala_activar
            ld bala_cooldown_activar_off(ix), #255
            
    no_score_20:
    pop af
    
    
    push af
    cp #40
    jp m, no_score_40
        
        ld ix, #bala_3
        ld a, bala_cooldown_activar_off(ix)
        dec a
        jp	z, restart_cooldown_bala_3
        
            ld bala_cooldown_activar_off(ix), a
            jp no_score_40
                
        restart_cooldown_bala_3:
    
            call bala_activar
            ld bala_cooldown_activar_off(ix), #255
            
    no_score_40:
    pop af
    
    push af
    cp #60
    jp m, no_score_60
        
        ld ix, #bala_4
        ld a, bala_cooldown_activar_off(ix)
        dec a
        jp	z, restart_cooldown_bala_4
        
            ld bala_cooldown_activar_off(ix), a
            jp no_score_40
                
        restart_cooldown_bala_4:
    
            call bala_activar
            ld bala_cooldown_activar_off(ix), #255
            
    no_score_60:
    pop af


ret

subir_nivel_enemigo:
    
    ld enemy_redrawcounter_off(ix), #2
    
    call enemy_erase
    
    call switch_screen_buffer
    
    call enemy_erase
    
    call switch_screen_buffer
    
    ld a, enemy_level_off(ix) 
    inc a
    ld enemy_level_off(ix), a
    ld enemy_life_off(ix), a
    
    ld a, enemy_x_pos_inicial_off(ix)
    ld enemy_x_pos_off(ix), a 
    ld enemy_posxant_off(ix), a 
    ld enemy_posx2ant_off(ix), a 
    
    ld a, enemy_y_pos_inicial_off(ix)
    ld enemy_y_pos_off(ix), a 
    ld enemy_posyant_off(ix), a 
    ld enemy_posy2ant_off(ix), a 
    
    ld enemy_velocity_off(ix), #8

    ld enemy_cooldown_off(ix), #5
    
    ld enemy_status_off(ix), #0
    
    ld enemy_redrawcounter_off(ix), #2
    
    ld enemy_retrocediendo_off(ix), #0
    
    ld enemy_eje_y_retrocediendo_off(ix), #0
    
ret

                                                                        

reiniciar_juego:
    
    call Draw_death
    bucle_infinito_reiniciar:
        call CheckUserInputRestart
        cp #0
    jr z, bucle_infinito_reiniciar
    
    call reiniciar_puntuacion
    
    ld  ix, #player_1
    ld player_x_pos_off(ix), #35
    ld player_y_pos_off(ix), #80
    ld player_sprite_off(ix), #_sprite_Player_Base
    ld player_life_off(ix), #3
    
    
    ld  ix, #bala_1
    ld bala_status_off(ix), #0
    
    ld  ix, #bala_2
    ld bala_status_off(ix), #0
    
    ld  ix, #bala_3
    ld bala_status_off(ix), #0
        
    ld  ix, #enemy_1 ;; Puntero a inicio de enemies
    bucle_reiniciar_enemies:
        ld a, (total_enemies_cont)
        dec a 				
        jp	m, restart_enemy_reiniciar_cont
        
            ld a, enemy_x_pos_inicial_off(ix)
            ld enemy_x_pos_off(ix), a 
            ld enemy_posxant_off(ix), a 
            ld enemy_posx2ant_off(ix), a 
            
            ld a, enemy_y_pos_inicial_off(ix)
            ld enemy_y_pos_off(ix), a 
            ld enemy_posyant_off(ix), a 
            ld enemy_posy2ant_off(ix), a 
            
            ld enemy_life_off(ix), #1
            
            ld enemy_level_off(ix), #1
            
            ld enemy_velocity_off(ix), #8

            ld enemy_cooldown_off(ix), #5
            
            ld enemy_status_off(ix), #0
            
            ld enemy_redrawcounter_off(ix), #2
            
            ld enemy_retrocediendo_off(ix), #0
            
            ld enemy_eje_y_retrocediendo_off(ix), #0
            
            ld enemy_activo_off(ix), #0
            
            ld enemy_sprite_cont_off(ix), #0
        
            ld bc, #28
            add ix,bc ;;Puntero siguiente enemigo
            
            ld a, (total_enemies_cont)  ;; Actualizar contador
            dec a                       ;; Actualizar contador
            ld (total_enemies_cont), a  ;; Actualizar contador
            
            jp bucle_reiniciar_enemies
    restart_enemy_reiniciar_cont:
        ld a, (total_enemies)
        ld (total_enemies_cont), a
        
    call draw_all_map   ;; Draw for C0000
    call drawMaxScore
    call switch_screen_buffer
    call draw_all_map   ;; Draw for C0000
    call drawMaxScore

    jp _main_loop
ret


;;===============================
;; Main program entry
;; poner 2 puntos quiere decir que la etiqueta es global es lo mismo que poner .globl _main, el punto es la direccion a la posicion actual
;;===============================
_main::

    ld sp, #0x8000              ;; Stack pointer puntero a la pila cambia la posicion donde esta la pila
     
    call cpct_disableFirmware_asm				;; Desactiva interrupciones de firmware

    ld c, #0							;; |
    call cpct_setVideoMode_asm					;; | Cambia a Modo 0 (16 colores)
    
    ;Cambiar paleta:
    ld hl, #_sprite_palette
    ld de, #16
    call cpct_setPalette_asm

    ld hl, #0x1410                      ;; Cambiar el 14 para cambiar de color
    call cpct_setPALColour_asm          ;; Borde de color negro
    
    call splash_inicial ;; Llama al splash de título inicial

    call draw_all_map   ;; Draw for C0000
    call drawMaxScore
    call switch_screen_buffer
    
    ld hl, #0x0D00                      ;; Cambiar el 14 para cambiar de color
    call cpct_setPALColour_asm          ;; Borde de color negro
    
    call draw_all_map   ;; Draw for C0000
    call drawMaxScore
    
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; FIN CAMBIAR BUFFER VIDEO
    
    ld de, #_song_ingame
    call cpct_akp_musicInit_asm

    ld hl, #isr
    call cpct_setInterruptHandler_asm
    
    _main_loop::
    
        call gestor_rondas
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; INICIO ERASE
        
        ld  ix, #player_1
        call player_erase
        
        ld  ix, #bala_1 ;; Puntero a inicio de balas
        bucle_erase_balas:
            ld a, (total_balas_cont)
            dec a 				
            jp	m, restart_bala_erase_cont
                
                call bala_erase

                
                ld bc, #12
                add ix,bc ;;Puntero siguiente bala
                
                ld a, (total_balas_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_balas_cont), a  ;; Actualizar contador
                
                jp bucle_erase_balas
        restart_bala_erase_cont:
            ld a, (total_balas)
            ld (total_balas_cont), a
        
        
        ld  ix, #enemy_1 ;; Puntero a inicio de enemies
        bucle_erase_enemies:
            ld a, (total_enemies_cont)
            dec a 				
            jp	m, restart_enemy_erase_cont
                
                ;; SOLO SI ESTA ACTIVO
                ld a, enemy_activo_off(ix)
                cp #0
                jp z, no_erase_enemy
                    call enemy_erase
                no_erase_enemy:
                
                ld bc, #28
                add ix,bc ;;Puntero siguiente enemigo
                
                ld a, (total_enemies_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_enemies_cont), a  ;; Actualizar contador
                
                jp bucle_erase_enemies
        restart_enemy_erase_cont:
            ld a, (total_enemies)
            ld (total_enemies_cont), a
        
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; FIN ERASE
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; INICIO DRAW
       
        ;; SOLO DIBUJA SI TIENE VIDA (vida < 0)
      
        ld  ix, #bala_1 ;; Puntero a inicio de balas
        bucle_draw_balas:
            ld a, (total_balas_cont)
            dec a 				
            jp	m, restart_bala_draw_cont
                
                ;; SOLO SI ESTA ACTIVO
                ld a, bala_status_off(ix)
                cp #0
                jp z, no_draw_bala
                    call bala_draw
                no_draw_bala:
                
                ld bc, #12
                add ix,bc ;;Puntero siguiente bala
                
                ld a, (total_balas_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_balas_cont), a  ;; Actualizar contador
                
                jp bucle_draw_balas
        restart_bala_draw_cont:
            ld a, (total_balas)
            ld (total_balas_cont), a

        ld  ix, #enemy_1 ;; Puntero a inicio de enemies
        bucle_draw_enemies:
            ld a, (total_enemies_cont)
            dec a 				
            jp	m, restart_enemy_draw_cont
            
                ;; SOLO SI ESTA ACTIVO
                ld a, enemy_activo_off(ix)
                cp #0
                jp z, no_dibujar_enemy
                
                    ld    a, (screen_buffer)   ;; A=Most significant Byte of the video memory back buffer
                    ld    d, a                 ;; | Make DE Point to video memory back buffer
                    ld    e, #0                ;; |  D = MSB, E = 0, so DE = 0xC000 or 0x8000
                    call enemy_draw
                
                no_dibujar_enemy:
                
                ld bc, #28
                add ix,bc ;;Puntero siguiente enemigo
                
                ld a, (total_enemies_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_enemies_cont), a  ;; Actualizar contador
                
                jp bucle_draw_enemies
        restart_enemy_draw_cont:
            ld a, (total_enemies)
            ld (total_enemies_cont), a
            
        ld  ix, #player_1
        ld    a, (screen_buffer)   ;; A=Most significant Byte of the video memory back buffer
        ld    d, a                 ;; | Make DE Point to video memory back buffer
        ld    e, #0                ;; |  D = MSB, E = 0, so DE = 0xC000 or 0x8000
        call player_draw	
            
        call hero_draw_score
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; FIN DRAW
        
        call cpct_waitVSYNC_asm
        call switch_screen_buffer
        
        ld  ix, #player_1
        ld a, player_life_off(ix)
        cp #1
        jp p, no_reiniciar_juego
            call reiniciar_juego
        no_reiniciar_juego:
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; INICIO UPDATE
        
        ld  ix, #player_1     
        call player_update
        
        ld  ix, #bala_1 ;; Puntero a inicio de balas
        bucle_update_balas:
            ld a, (total_balas_cont)
            dec a 				
            jp	m, restart_bala_update_cont
                
                ;; SOLO SI ESTA ACTIVO
                ld a, bala_status_off(ix)
                cp #0
                jp z, no_update_bala
                
                    push ix
                        call hero_getPtrIX
                        ld b, player_x_pos_off(ix)
                        ld c, player_y_pos_off(ix)
                    pop ix
  
                    call bala_update

                no_update_bala:
                
                ld bc, #12
                add ix,bc ;;Puntero siguiente bala
                
                ld a, (total_balas_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_balas_cont), a  ;; Actualizar contador
                
                jp bucle_update_balas
        restart_bala_update_cont:
            ld a, (total_balas)
            ld (total_balas_cont), a
        
        ld  ix, #enemy_1 ;; Puntero a inicio de enemies
        bucle_update_enemies:
            ld a, (total_enemies_cont)
            dec a 				
            jp	m, restart_enemy_update_cont
            
                ;; SOLO SI ESTA ACTIVO
                ld a, enemy_activo_off(ix)
                cp #0
                jp z, no_update_enemy
                
                    ;; Si vida ==  0 -> sube de nivel al enemigo
                    ld a, enemy_life_off(ix)
                    cp #0
                    jp z, subir_nivel_enemy
                    
                        call hero_getPtrHL
                        call enemy_update
                        call gestor_sprites_enemy
                        
                        jp saltar_subir_nivel_enemy
                        
                    subir_nivel_enemy:
                    
                    call subir_nivel_enemigo
                
                    saltar_subir_nivel_enemy:
                    
                no_update_enemy:
                
                ld bc, #28
                add ix,bc ;;Puntero siguiente enemigo
                
                ld a, (total_enemies_cont)  ;; Actualizar contador
                dec a                       ;; Actualizar contador
                ld (total_enemies_cont), a  ;; Actualizar contador
                
                jp bucle_update_enemies
        restart_enemy_update_cont:
            ld a, (total_enemies)
            ld (total_enemies_cont), a
        
        ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; FIN UPDATE
        
        ld a, (delay_mute)
        cp #0
        jr z, puedes_comprobar_sonido
                ;;No puedes comparar sonido
                ld a, (delay_mute)
                dec a
                ld (delay_mute), a
                jr continua_main_loop

        puedes_comprobar_sonido:
        call put_mute
        cp #0
        call nz, change_mute    
            
        continua_main_loop:  
       
	jp _main_loop

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; FUNC: switch_screen_buffer
;;    Switches between front buffer and backbuffer.
;;
;; DESTROYS:
;;    AF, BC, HL
;;

screen_buffer: .db >pbackbuffer  ;; This variable holds the upper byte of the memory address of the screen backbuffer 
                                 ;; It changes every time buffers are switched, so it always contains backbuffer address.
switch_screen_buffer::
   ;; Check which one of the buffers is actually tagged as backbuffer (0xC000 or 0x8000)
   ld   hl, #screen_buffer    ;; HL points to the variable holding actual backbuffer address Most Significant Byte 
   ld    a, (hl)              ;; A = backbuffer address MSB (0xC0 or 0x80)
   cp #0xC0                   ;; Check if it is 0xC00
   jr    z, to_back_buffer    ;; If it is 0xC000, set it to 0x8000

to_front_buffer:
   ;; Actual backbuffer is 0x8000. Switch to 0xC000
   ld (hl), #>pvideomem               ;; Save 0xC0 as new backbuffer address MSB
   ld    l, #0x20                     ;; | Then show new frontbuffer (0x8000) 
   call  cpct_setVideoMemoryPage_asm  ;; | ... in the screen
   
   ret                        ;; And Return

to_back_buffer:
   ;; Actual backbuffer is 0xC000. Switch to 0x8000
   ld (hl), #>pbackbuffer             ;; Save 0x80 as new backbuffer address MSB
   ld    l, #0x30                     ;; | Then show new frontbuffer (0x8000) 
   call  cpct_setVideoMemoryPage_asm  ;; | ... in the screen

   ret                        ;; And Return

   
get_screen_pointer::
        ld    a, (screen_buffer)   ;; A=Most significant Byte of the video memory back buffer
        ld    h, a                 ;; | Make DE Point to video memory back buffer
        ld    l, #0                ;; |  D = MSB, E = 0, so DE = 0xC000 or 0x8000
ret

unavariable: .db #6

isr::
    ex af, af'
    exx
    push af
    push bc
    push de
    push hl
    push iy

    ld a, (unavariable)
    dec a
    ld (unavariable), a
    jr nz, returno

    ld  ix, #player_1
    ld a, player_life_off(ix)
    cp #1
    jp p, musica_suena
        call cpct_akp_stop_asm
        jr returno

    musica_suena:
    ld a, (mute)
    cp #0
    jr z, continua_isr
    call cpct_akp_musicPlay_asm
    continua_isr:
    ld a, #6     ;;Restablece el valor de la variable
    ld (unavariable), a

    returno:
    pop iy
    pop hl
    pop de
    pop bc
    pop af
    exx
    ex af, af'

ret


delay_mute: .db #25
mute: .db #1


change_mute::
        ld a, #12
        ld (delay_mute), a

    ld a, (mute)
    cp #0
    jr z, pon_a_1

    ld a, #0
    ld (mute), a
    call cpct_akp_stop_asm

    ret

    pon_a_1:
    ld a, #1
    ld (mute), a 
ret


splash_inicial::
    ld hl, #0x1400                      ;; Cambiar el 14 para cambiar de color
    call cpct_setPALColour_asm          ;; Borde de color negro
    ld hl, #_sprite_splash_titulo
    ld de, #0xC1F4
    ld c, #40
    ld b, #104
    call cpct_drawSprite_asm

    ;Dibujar sprite
    ld b, #0x09
    bucle_splash_2:
    ld a, #0xFF
    bucle_splash:
    halt
    dec a
    jr nz, bucle_splash
    dec b
    jr nz, bucle_splash_2
ret

draw_all_map:

    ld hl, #_g_tileset                  ;;HAY QUE PONERLE EL SUBRAYADO PORQUE ES DE C
    call cpct_etm_setTileset2x4_asm

    ld hl, #_level1 ;;El mapa a leer
    push hl
    call get_screen_pointer
    push hl
    ld bc, #0000    ;;Posicion inicial de x e y
    ld de, #0x3228 ;;Ancho y alto del mapa (esta dentro del fichero del mapa level.h) d es el alto e es el ancho
    ld a, #40      ;;Ancho del mapa
    call cpct_etm_drawTileBox2x4_asm
ret
